( cd etc/skel/.xfce4 ; rm -rf icons )
( cd etc/skel/.xfce4 ; ln -sf /usr/share/icons/Noia/48x48 icons )
PREFIX=/opt/xfce4
# PREFIX should be prepared by the buildpkg
[ -z "$PREFIX" ] && PREFIX=/usr

# Change the init script
echo Adding $PREFIX/bin to path
PROFILE=/etc/profile.d/xfce4.sh
cat $PROFILE | sed -e "s:^PREFIX=.*:PREFIX=$PREFIX:" > $PROFILE
. /etc/profile.d/xfce4.sh

# Add LDCONFIG path
LDCONF=/etc/ld.so.conf
grep -x "$PREFIX/lib" $LDCONF > /dev/null
if [ "$?" = "1" ]; then
   echo "Adding $PREFIX/lib to ldpath"
   echo "$PREFIX/lib" >> $LDCONF
fi
/sbin/ldconfig || /usr/sbin/ldconfig
 
# Add XWMMenu
echo adding entry to xwmmenu
buildwmmenu
buildsessions

# Fix icon entry
( cd /etc/skel/.xfce4 ; ln -sf /usr/share/icons/default icons )
